### Name: krylow.pls
### Title: Fits Krylow based PLS for additive hazards model
### Aliases: krylow.pls
### Keywords: survival

### ** Examples

## makes data for pbc complete case
data(pbc)
pbc$time<-pbc$time+runif(418); pbc$time<-pbc$time/365
pbc[pbc==-9]<-NA; rsum<-apply(pbc,1,sum); 
pbc<-pbc[!is.na(rsum),]
covs<-as.matrix(pbc[,-c(10,17)])
lcovs<-covs;
lcovs[,c(3,5,6,10,11,13,17,18)]<-
log(lcovs[,c(3,5,6,10,11,13,17,18)])

## computes the matrices needed for the least squares 
## criterion 
out<-aalen.test(Surv(time,status)~const(lcovs),pbc,robust=0,n.sim=0)
S=out$intZHZ; s=out$intZHdN;

out<-krylow.pls(S,s,2)



